Subject: Re: [PATCH net-next] netconsole: selftests: Move netconsole selftests to separate target

From: Jakub Kicinski <[email-masked]>
Date: Mon, 26 Jan 2026 16:28:00 -0800

On Mon, 26 Jan 2026 04:10:18 -0800 Breno Leitao wrote:
> On Sat, Jan 24, 2026 at 06:51:42PM +0000, Andre Carvalho wrote:
> > This patch moves netconsole selftests from drivers/net to its own target
> > in drivers/net/netconsole.
> > 
> > This change helps saving some resources from CI since tests in
> > drivers/net automatically run against real hardware which are not used
> > by netconsole tests as they rely solely on netdevsim.
> > 
> > lib_netcons.sh is kept under drivers/net/lib since it is also used by
> > bonding selftests. Finally, drivers/net config remains unchanged as
> > netpoll_basic.py requires netconsole (and does leverage real HW testing).
> > 
> > Signed-off-by: Andre Carvalho <[email-masked]>  
> 
> Thanks for the patch. Looking at NIPA, it seems none of the netconsole
> test run?
> 
> https://netdev.bots.linux.dev/contest.html?pw-n=0&branch=net-next-2026-01-25--06-00

Do you mean after the patch? I'll have to manually add it to some VM
config (presumably the SW drv-net one). I'll do it after patch is
merged. (Remind me if I forget? ;))